
$default-color: #ffffff;
$base-color: #3478bd;
$btn-background: #fff;
$btn-border: #ccc;
$btn-text-color: #333;
$btn-arrow: #333;


$token-background: $base-color;
$token-text-color: #fff;
$token-remove-color: #fff;

$box-shadow-color: #959595;
$list-hover-background: #f5f5f5;
$label-color: #000;
$selected-background: #e9f4ff;



.mat-toolbar {
  background: $default-color;
}
.c-btn{
  background: $btn-background;
  border: 1px solid $btn-border;
  color: $btn-text-color;
}
.selected-list{
  .c-list{
    .c-token{
      background: $token-background;
      .c-label{
        color: $token-text-color;
      }
      .c-remove {
        svg {
          fill: $token-remove-color;
        }
      }

    }
  }
  .c-angle-down, .c-angle-up{
    svg {
      fill: $btn-arrow;
    }
  }
}
.dropdown-list{
  ul{
    li:hover{
      background: $list-hover-background;
    }
  }
}
.arrow-up, .arrow-down {
  border-bottom: 15px solid #fff;
}

.arrow-2{
  border-bottom: 15px solid #ccc;
}
.list-area{
  border: 1px solid #ccc;
  background: #fff;
  box-shadow: 0 1px 5px $box-shadow-color;
}
.select-all{
  border-bottom: 1px solid #ccc;
}
.list-filter{
  border-bottom: 1px solid #ccc;
  .c-search{
    svg {
      fill: #888;
    }
  }
  .c-clear {
    svg {
      fill: #888;
    }
  }
}


.pure-checkbox {
  input[type="checkbox"]:focus + label:before, input[type="checkbox"]:hover + label:before{
    border-color: $base-color;
    background-color: #f2f2f2;
  }
  input[type="checkbox"] + label{
    color: $label-color;
  }
  input[type="checkbox"] + label:before{
    color: $base-color;
    border: 1px solid $base-color;
  }
  input[type="checkbox"] + label:after{
    background-color: $base-color;
  }
  input[type="checkbox"]:disabled + label:before{
    border-color: #cccccc;
  }
  input[type="checkbox"]:disabled:checked + label:before{
    background-color: #cccccc;
  }
  input[type="checkbox"] + label:after{
    border-color: #ffffff;
  }
  input[type="radio"]:checked + label:before{
    background-color: white;
  }
  input[type="checkbox"]:checked + label:before{
    background: $base-color;
  }
}
.single-select-mode .pure-checkbox {
  input[type="checkbox"]:focus + label:before, input[type="checkbox"]:hover + label:before{
    border-color: $base-color;
    background-color: #f2f2f2;
  }
  input[type="checkbox"] + label{
    color: $label-color;
  }
  input[type="checkbox"] + label:before{
    color: transparent !important;
    border: 0 solid $base-color;
  }
  input[type="checkbox"] + label:after{
    background-color: transparent !important;
  }
  input[type="checkbox"]:disabled + label:before{
    border-color: #cccccc;
  }
  input[type="checkbox"]:disabled:checked + label:before{
    background-color: #cccccc;
  }
  input[type="checkbox"] + label:after{
    border-color: $base-color;
  }
  input[type="radio"]:checked + label:before{
    background-color: white;
  }
  input[type="checkbox"]:checked + label:before{
    background: none !important;
  }
}
.selected-item{
  background: $selected-background;
}
.btn-iceblue {
  background: $base-color;
  border: 1px solid $btn-border;
  color: #fff;
}
virtual-scroll {
  display: block;
  width: 100%;
}

.cuppa-dropdown {
  position: relative;
}

.c-btn {
  display: inline-block;
  border-width: 1px;
  line-height: 1.25;
  border-radius: 3px;
  font-size: 0.85rem;
  padding: 5px 10px;
  cursor: pointer;
  align-items: center;
  min-height: 38px;
}

.c-btn.disabled {
  background: #ccc;
}

.selected-list {
  .c-list {
    float: left;
    padding: 0;
    margin: 0;
    width: calc(100% - 20px);
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;

    .c-token {
      list-style: none;
      padding: 4px 22px 4px 8px;
      border-radius: 2px;
      float: left;
      position: relative;
      .c-label {
        display: block;
        float: left;
      }

      .c-remove {
        position: absolute;
        right: 8px;
        top: 50%;
        transform: translateY(-50%);
        width: 8px;

        svg {
          fill: #fff;
        }
      }
    }
  }

  .fa-angle-down,
  .fa-angle-up {
    font-size: 15pt;
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
  }

  .c-angle-down,
  .c-angle-up {
    width: 12px;
    height: 12px;
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    pointer-events: none;

    svg {
      fill: #333;
    }
  }

  .countplaceholder {
    position: absolute;
    right: 45px;
    top: 50%;
    transform: translateY(-50%);
  }

  .c-btn {
    width: 100%;
    padding: 5px 10px;
    cursor: pointer;
    display: flex;
    position: relative;

    .c-icon {
      position: absolute;
      right: 5px;
      top: 50%;
      transform: translateY(-50%);
    }
  }
}
.dropdown-list.tagToBody {
  position: fixed;
}
.dropdown-list {
  position: absolute;
  padding-top: 14px;
  width: 100%;
  z-index: 99999;

  ul {
    padding: 0;
    list-style: none;
    overflow: auto;
    margin: 0;

    li {
      padding: 10px 10px;
      cursor: pointer;
      text-align: left;
    }

    li:first-child {
      padding-top: 10px;
    }

    li:last-child {
      padding-bottom: 10px;
    }

    li:hover {
      /*background: $list-hover-background;*/
    }
  }

  ::-webkit-scrollbar {
    width: 8px;
  }

  ::-webkit-scrollbar-thumb {
    background: #cccccc;
    border-radius: 5px;
  }

  ::-webkit-scrollbar-track {
    background: #f2f2f2;
  }
  ::-webkit-input-placeholder { /* Chrome/Opera/Safari */
    font-size: 14px;
  }
  ::-moz-placeholder { /* Firefox 19+ */
    font-size: 14px;
  }
  :-ms-input-placeholder { /* IE 10+ */
    font-size: 14px;
  }
}

.arrow-up,
.arrow-down {
  width: 0;
  height: 0;
  border-left: 13px solid transparent;
  border-right: 13px solid transparent;
  border-bottom: 15px solid #fff;
  margin-left: 15px;
  position: absolute;
  top: 0;
}

.arrow-down {
  bottom: -14px;
  top: unset;
  transform: rotate(180deg);
}

.arrow-2 {
  border-bottom: 15px solid #ccc;
  top: -1px;
}

.arrow-down.arrow-2 {
  top: unset;
  bottom: -16px;
}

.list-area {
  border: 1px solid #ccc;
  border-radius: 3px;
  background: #fff;
  margin: 0;
}

.select-all {
  padding: 10px;
  border-bottom: 1px solid #ccc;
  text-align: left;
}

.list-filter {
  border-bottom: 1px solid #ccc;
  position: relative;
  padding-left: 35px;
  height: 35px;

  input {
    border: 0;
    width: 100%;
    height: 100%;
    padding: 0;
  }

  input:focus {
    outline: none;
  }

  .c-search {
    position: absolute;
    top: 4px;
    left: 10px;
    width: 15px;
    height: 15px;

    svg {
      fill: #888;
    }
  }

  .c-clear {
    position: absolute;
    top: 4px;
    right: 10px;
    width: 15px;
    height: 15px;

    svg {
      fill: #888;
    }
  }
}

.pure-checkbox input[type="checkbox"] {
  border: 0;
  clip: rect(0 0 0 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
}

.pure-checkbox input[type="checkbox"]:focus + label:before,
.pure-checkbox input[type="checkbox"]:hover + label:before {
  background-color: transparent;
}

.pure-checkbox input[type="checkbox"]:active + label:before {
  transition-duration: 0s;
}

.pure-checkbox input[type="checkbox"]:disabled + label {
  color: #cccccc;
}

.pure-checkbox input[type="checkbox"] + label {
  position: relative;
  padding-left: 2em;
  vertical-align: middle;
  user-select: none;
  cursor: pointer;
  margin: 0;
  font-weight: 300;
}

.pure-checkbox input[type="checkbox"] + label:before {
  box-sizing: content-box;
  content: '';
  /*color: $base-color;*/
  position: absolute;
  top: 50%;
  left: 0;
  width: 15px;
  height: 15px;
  margin-top: -9px;
  /*border: 2px solid $base-color;*/
  text-align: center;
  transition: all 0.4s ease;
  border-radius: 3px;
}

.pure-checkbox input[type="checkbox"] + label:after {
  box-sizing: content-box;
  content: '';
  /*background-color: $base-color;*/
  position: absolute;
  top: 50%;
  left: 0;
  width: 15px;
  height: 15px;
  margin-top: -9px;
  transform: scale(0);
  transform-origin: 50%;
  transition: transform 200ms ease-out;
}

.pure-checkbox input[type="checkbox"]:disabled + label:before {
  border-color: #cccccc;
}

.pure-checkbox input[type="checkbox"]:disabled:focus + label:before,
.pure-checkbox input[type="checkbox"]:disabled:hover + label:before {
  background-color: inherit;
}

.pure-checkbox input[type="checkbox"]:disabled:checked + label:before {
  background-color: #cccccc;
}

.pure-checkbox input[type="checkbox"] + label:after {
  background-color: transparent;
  top: 50%;
  left: 3px;
  width: 9px;
  height: 4px;
  margin-top: -5px;
  border-style: solid;
  border-width: 0 0 2px 2px;
  border-image: none;
  transform: rotate(-45deg) scale(0);
}

.pure-checkbox input[type="checkbox"]:checked + label:after {
  content: '';
  transform: rotate(-45deg) scale(1);
  transition: transform 200ms ease-out;
}

.pure-checkbox input[type="radio"]:checked + label:before {
  background-color: white;
}

.pure-checkbox input[type="radio"]:checked + label:after {
  transform: scale(1);
}

.pure-checkbox input[type="radio"] + label:before {
  border-radius: 50%;
}

.pure-checkbox input[type="checkbox"]:checked + label:before {
  /*background: $base-color;*/
}

.pure-checkbox input[type="checkbox"]:checked + label:after {
  transform: rotate(-45deg) scale(1);
}

.list-message {
  text-align: center;
  margin: 0;
  padding: 15px 0;
  font-size: initial;
}

.list-grp {
  padding: 0 15px !important;
}

.list-grp h4 {
  text-transform: capitalize;
  margin: 15px 0 0 0;
  font-size: 14px;
  font-weight: 700;
}

.list-grp > li {
  padding-left: 15px !important;
}

.grp-item {
  padding-left: 30px !important;
  &-no-padding{
    padding-left: 0 !important;
  }
}

.grp-title {
  padding-bottom: 0 !important;
}

.grp-title label {
  margin-bottom: 0 !important;
  font-weight: 800;
  text-transform: capitalize;
}

.grp-title:hover {
  background: none !important;
}

.loading-icon {
  width: 20px;
  position: absolute;
  right: 10px;
  top: 23px;
  z-index: 1;
}

.nodata-label {
  width: 100%;
  text-align: center;
  padding: 10px 0 0;
}

.btn-container {
  text-align: center;
  padding: 5px 5px 5px;
}

.clear-all {
  width: 8px;
  position: absolute;
  top: 50%;
  right: 30px;
  transform: translateY(-50%);
}
